<div class="compare ">
    <div *ngIf="page == earthquakePageEnum.earthquake">
        <div class="filter-card">
            <app-filter-compare (eventFilter)="onFilter($event)"></app-filter-compare>
        </div>

        <div class="d-flex justify-content-end mt-3 mb-3">
            <button mat-raised-button class="mr-3 btn-compare" [disabled]="compareSelectList.length < 2"
                (click)="onCompare()">เปรียบเทียบ</button>
            <button mat-raised-button color="primary" (click)="onExportCSV()">Export</button>
        </div>

        <section class="example-container mat-elevation-z8" tabindex="0">
            <table mat-table [dataSource]="earthquakeList">
                <ng-container matColumnDef="select">
                    <th mat-header-cell *matHeaderCellDef> #</th>
                    <td mat-cell *matCellDef="let element ; index as i">
                        <mat-checkbox class="example-margin" color="primary"
                            [disabled]="compareSelectList.length > 4 && !element.select " (change)="onSelectCompare()"
                            [(ngModel)]="element.select">
                            {{ (i+1) +(pageSize * pageIndex)}}</mat-checkbox>
                    </td>
                </ng-container>

                <ng-container matColumnDef="Earthquake_date">
                    <th mat-header-cell *matHeaderCellDef class="text-start">เวลาสากล </th>
                    <td mat-cell *matCellDef="let element"> {{element.Earthquake_date | dateCompare :'EN'}} </td>
                </ng-container>

                <ng-container matColumnDef="Earthquake_date_thai">
                    <th mat-header-cell *matHeaderCellDef class="text-start"> เวลาประทศไทย </th>
                    <td mat-cell *matCellDef="let element"> {{element.Earthquake_date | dateCompare:'TH'}} </td>
                </ng-container>

                <ng-container matColumnDef="Earthquake_mag">
                    <th mat-header-cell *matHeaderCellDef class="text-start"> ขนาด (Mag.) </th>
                    <td mat-cell *matCellDef="let element"> {{element.Earthquake_mag}} </td>
                </ng-container>

                <ng-container matColumnDef="Earthquake_lat">
                    <th mat-header-cell *matHeaderCellDef class="text-start"> ละติจูด (Lat.) </th>
                    <td mat-cell *matCellDef="let element"> {{element.Earthquake_lat}} </td>
                </ng-container>

                <ng-container matColumnDef="Earthquake_long">
                    <th mat-header-cell *matHeaderCellDef class="text-start"> ลองจิจูด (Long.) </th>
                    <td mat-cell *matCellDef="let element"> {{element.Earthquake_long}} </td>
                </ng-container>

                <ng-container matColumnDef="Earthquake_depth">
                    <th mat-header-cell *matHeaderCellDef class="text-start"> ความลึก (Dep.) </th>
                    <td mat-cell *matCellDef="let element"> {{element.Earthquake_depth}} </td>
                </ng-container>

                <ng-container matColumnDef="Earthquake_region">
                    <th mat-header-cell *matHeaderCellDef class="text-Earthquake_region"> บริเวณ </th>
                    <td mat-cell *matCellDef="let element"> {{element.Earthquake_region}} </td>
                </ng-container>
                <ng-container matColumnDef="Earthquake_source">
                    <th mat-header-cell *matHeaderCellDef class="text-start"> แหล่งข้อมูล </th>
                    <td mat-cell *matCellDef="let element"> {{element.Earthquake_source}} </td>
                </ng-container>
                <ng-container matColumnDef="status_land">
                    <th mat-header-cell *matHeaderCellDef class="text-start"> เกณฑ์ความเสียหาย </th>
                    <td mat-cell *matCellDef="let element"> {{element.status_land}} </td>
                </ng-container>
                <ng-container matColumnDef="status_inth">
                    <th mat-header-cell *matHeaderCellDef class="text-start"> เกณฑ์รายงานข่าวย </th>
                    <td mat-cell *matCellDef="let element"> {{element.status_inth}} </td>
                </ng-container>
                <ng-container matColumnDef="map">
                    <th mat-header-cell *matHeaderCellDef class="text-start"> แผนที่ </th>
                    <td mat-cell *matCellDef="let element">
                        <span class="material-symbols-outlined pointer"
                            *ngIf="!statusPrint.isPrint || statusPrint.earthquake != element" 
                            (click)="onPrint(element)">
                            map
                        </span>
                        <div *ngIf="statusPrint.isPrint && statusPrint.earthquake == element"
                            class="spinner-border text-warning spinner-border-sm" role="status">
                            <span class="sr-only"></span>
                        </div>
                    </td>
                </ng-container>
                <ng-container matColumnDef="action">
                    <th mat-header-cell *matHeaderCellDef class="text-start"> </th>
                    <td mat-cell *matCellDef="let element">

                        <span class="material-symbols-outlined pointer">
                            more_vert
                        </span>
                    </td>
                </ng-container>

                <tr mat-header-row *matHeaderRowDef="displayedColumns ;sticky: true"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
            </table>
        </section>
        <br>

        <mat-paginator #paginator class="demo-paginator" (page)="handlePageEvent($event)" [length]="pageLength"
            [pageSize]="pageSize" [disabled]="disabled" [showFirstLastButtons]="showFirstLastButtons"
            [pageSizeOptions]="showPageSizeOptions ? pageSizeOptions : []" [hidePageSize]="hidePageSize"
            [pageIndex]="pageIndex" aria-label="Select page">
        </mat-paginator>
    </div>

    <div class="disaster-news" *ngIf="page == earthquakePageEnum.disasterNews">
        <app-disaster-news></app-disaster-news>
    </div>

    <div class="create-disaster-news" *ngIf="page == earthquakePageEnum.createDisasterNews">
        <app-create-disaster-news></app-create-disaster-news>
    </div>

    <div class="map" id="printMap">

    </div>
</div>






<ng-template #compareDialog let-modal>
    <div class="text-end">
        <span class="material-symbols-outlined mt-3 mr-3 pointer" (click)="onCloseCompare()">
            close
        </span>
    </div>
    <div class="d-flex ">
        <table>
            <tr>
                <th class="base" style="width: 150px !important"></th>
                <th [class]="'base'+i" *ngFor="let item of compareSelectList ;index as i"
                    style="width: 180px !important">
                    <img [src]="'../../../assets/image/'+ item.Earthquake_source+'.png'" width="100px">
                </th>

            </tr>
            <tr>
                <td class="base "><span class="ml-3">พื้นที่เกิดเหตุ</span></td>
                <th [class]="'base'+i" *ngFor="let item of compareSelectList ;index as i">{{item.Earthquake_region}}
                </th>
            </tr>
            <tr>
                <td class="base"><span class="ml-3">เวลาสากล</span></td>
                <th [class]="'base'+i" *ngFor="let item of compareSelectList ;index as i">{{item.Earthquake_date |
                    dateCompare:'EN'}}</th>
            </tr>
            <tr>
                <td class="base "><span class="ml-3">เวลาประเทศไทย</span></td>
                <th [class]="'base'+i" *ngFor="let item of compareSelectList ;index as i">{{item.Earthquake_date |
                    dateCompare:'TH'}}</th>
            </tr>
            <tr>
                <td><span class="ml-3">ขนาด (Mag.)</span> </td>
                <th *ngFor="let item of compareSelectList">{{item.Earthquake_mag}}</th>
            </tr>
            <tr>
                <td class="base"> <span class="ml-3">ละติจูด (Lat.)</span></td>
                <th [class]="'base'+i" *ngFor="let item of compareSelectList ;index as i">{{item.Earthquake_lat}}</th>
            </tr>
            <tr>
                <td><span class="ml-3">ลองจิจูด (Long.)</span> </td>
                <th *ngFor="let item of compareSelectList">{{item.Earthquake_long}}</th>
            </tr>
            <tr>
                <td class="base"><span class="ml-3">ความลึก (Dep.)</span> </td>
                <th [class]="'base'+i" *ngFor="let item of compareSelectList ;index as i">{{item.Earthquake_depth}}</th>
            </tr>

            <tr>
                <td><span class="ml-3">แหล่งข้อมูล</span> </td>
                <th *ngFor="let item of compareSelectList">{{item.Earthquake_source}}</th>
            </tr>
            <tr>
                <td class="base "><span class="ml-3">เกณฑ์ความเสียหาย</span> </td>
                <th [class]="'base'+i" *ngFor="let item of compareSelectList ;index as i">{{item.status_land}}</th>
            </tr>
            <tr>
                <td> <span class="ml-3">เกณฑ์รายงานข่าว</span></td>
                <th *ngFor="let item of compareSelectList">{{item.status_inth}}</th>
            </tr>
        </table>
    </div>
    <br>
</ng-template>